#!/bin/sh

#List of machines:
#battleship          boggle              candyland           checkers
#chess               chutesnladders      clue                devilbunny
#drlucky             girltalk            go                  jenga
#monopoly            othello             pictionary          risk
#roborally           scrabble            settlers            sorry
#stratego            trivialpursuit      trouble             yahtzee

ece_machines="
battleship          boggle              candyland           checkers
chess               chutesnladders      clue                devilbunny
drlucky             girltalk            go                  jenga
monopoly            othello             pictionary          risk
                    scrabble            settlers            sorry
stratego            trivialpursuit      trouble             yahtzee
"

echo "--Querying machines--"

# To see used ports, use:
# Linux : netstat -lntuw

# The default port used by JBoss is ":8080"
# appears as:
#    tcp  0   0 :::8080       :::*                LISTEN

port=":8080"
for m in $ece_machines
do
  busy=`ssh $m 'netstat -lntuw' | grep "$port" | awk '{print $4}'`
  echo "$m   $busy"
done

echo "--done--"

