// $Id: MsgLocal.java,v 1.4 2004/02/28 15:36:29 gca Exp $
package com.spamnbeans.msg;

import javax.ejb.*;

/**
 * $Id: MsgLocal.java,v 1.4 2004/02/28 15:36:29 gca Exp $
 * The public business methods of MsgBean.
 * <p>This local interface is what local clients operate on when
 *   they interact with the Msg bean. The container will implement
 *   this interface; the implemented object is called the EJB
 *   local-object, which delegates the invocations to instances
 *   of the entity bean class.
 * 
 * @author Gary Ackley, <a href="mailto:gca@andrew.cmu.edu">gca@andrew.cmu.edu
 *         </a>
 * @version $Revision: 1.4 $
 */
public interface MsgLocal extends javax.ejb.EJBLocalObject
{
	public Integer getMsgID() throws EJBException;
	
	public Integer getClientID();
	public void setClientID(Integer clientID);
	
	public Integer getServerID();
	public void setServerID(Integer serverID);
	
	public String getTimeStamp();
	public void setTimeStamp(String timeStamp);
	
	public Integer getMsgSize();
	public void setMsgSize(Integer msgSize);
	
	public Integer getMsgState();
	public void setMsgState(Integer msgState);
	
}
