// $Id: ReplicaStateLocal.java,v 1.3 2004/02/29 05:06:23 gca Exp $

package com.spamnbeans.server;

/**
 * Provide the external interface to the ReplicaState SessionBean.
 * 
 * <p>The ReplicaState Bean is monitored by the GlobalReplicationManager 
 * to make sure the replica is still alive, and to determine the load from client
 * requests.
 * 
 * @author Gary Ackley, 
 *         <a href="mailto:gca@andrew.cmu.edu">gca@andrew.cmu.edu</a>
 * @version $Revision: 1.3 $
 */
public interface ReplicaStateLocal extends javax.ejb.EJBLocalObject {

	/**
	 * Called by each MailProc to indicate a client request has completed.
	 */
	public void addRequest();

}
