// $RCSfile: SpamCRemote.java,v $
// $Author: cfry $ 
// $Date: 2004/03/03 03:25:09 $
// $Revision: 1.1 $

package com.spamnbeans.spam;

import java.rmi.RemoteException;
import java.io.IOException;

/**
 * Provide the external interface to the SpamC SessionBean.
 * 
 * <p>The SpamC Bean monitors spamd and feeds it messages over TCP/IP.
 *
 * @author Charles Fry,
 *         <a href="mailto:cfry@ece.cmu.edu">cfry@ece.cmu.edu</a>
 * @version 1.0
 */
public interface SpamCRemote extends javax.ejb.EJBObject {
    /**
     * Process a single e-mail message
     * @param message The full text of the e-mail to check
     * @return The extra e-mail headers generated
     */
    public String processMessage(String message) 
	throws RemoteException, IOException, SpamException;
}
