// $Id: TestCase4.java,v 1.6 2004/03/21 22:48:13 aboyer Exp $

package com.spamnbeans.test;

import com.spamnbeans.client.*;

public class TestCase4 {
    public static void main(String[] args) {
	System.out.println("Running SpamNBeans Test Case 4: Client manager");

	try {
	    System.out.println("\nFlush clients");
	    MPManager.main(new String[] { "client", "flush" } );

	    System.out.println("\nCreate client - should succeed");
	    MPManager.main(new String[] { "client", "create", 
					  "localhost", "localhost" } );

	    System.out.println("\nCreate duplicate client - should fail");
	    MPManager.main(new String[] { "client", "create", 
					  "localhost", "localhost" } );

	    System.out.println("\nList current clients");
	    MPManager.main(new String[] { "client", "list" } );

	    System.out.println("\nRemove client - should succeed");
	    MPManager.main(new String[] { "client", "remove", "localhost" } );

	    System.out.println("\nRemove client - should fail");
	    MPManager.main(new String[] { "client", "remove", "localhost" } );

	    System.out.println("\nList current clients");
	    MPManager.main(new String[] { "client", "list" } );
			
	} catch (Exception e) {
	    System.out.println("\nCAUGHT EXCEPTION! - Aborting...");
	}
    }
}
