// $RCSfile: TestCase8.java,v $
// $Author: aboyer $ 
// $Date: 2004/03/21 22:48:13 $
// $Revision: 1.4 $

package com.spamnbeans.test;

import com.spamnbeans.client.*;
import java.io.*;

public class TestCase8
{
    public static void main(String [] args) throws Throwable
    {
	System.out.println( "Running SpamNBeans Test Case 8: Invalid input" );
	System.out.println( "Headers should be appended to end of input" );

	File spamf;
	FileInputStream spamstr;

	// Load spam into StdIn
	try {
	    spamf = new File( "scripts/invalid.spam" );
	    spamstr = new FileInputStream( spamf );
	    System.setIn( spamstr );
	} catch (Throwable t) {
	    System.out.println( "Error: Couldn't find test data, aborting" );
	    return;
	}

	// Process message
	MPClient.main(null);

	try {
	    spamstr.close();
	} catch (Throwable t) { } // Ignore
    }
}
