/**
 * $Id: TestMsg.java,v 1.2 2004/02/19 13:09:47 gca Exp $
 * For testing local only interfaces of Msg Entity Bean
 * - Since Msg bean only implements local interfaces, remote testing can
 *   only achieved indirectly by using another session bean (TestMsg) which 
 *   then is client of the local interfaces of the Msg bean.   
 */
package com.spamnbeans.test;

//import com.spamnbeans.test.*;
import javax.naming.*;
//import javax.rmi.PortableRemoteObject;
//import java.rmi.RemoteException;

public class TestMsg
{
	public static void main(String[] args) throws Exception
	{
		try
		{
			// obtain Home object for TestMsg
			Context jndiContext = getInitialContext();
			Object obj = jndiContext.lookup("TestMsgHomeRemote");
			TestMsgHomeRemote msghome = (TestMsgHomeRemote)obj; 
			TestMsgRemote tester = msghome.create();

			// Run the Msg Tests (indirectly) 
			String output = tester.runMsgTest();
			System.out.println(output);
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
	
	public static Context getInitialContext() 
	throws javax.naming.NamingException 
	{
		return new InitialContext();
	}
}
